Subject: bug#4842: 23.1.50; tramp-gvfs-dbus-event-error: Connection ":1.35" is not allowed to add more match rules

From: "Roland Winkler" <[email-masked]>
Date: Sat, 31 Oct 2009 16:01:20 +0100

I wish I knew what triggered this bug and what it means!
Recently, I get occassionally the error message

tramp-gvfs-dbus-event-error: Connection ":1.35" is not allowed to
add more match rules (increase limits in configuration file if required)

As far as I could find out, the message is not generated by emacs.
Yet I am confused that tramp picks up this error message.
This happens with ubuntu intrepid.

Even if the error message ultimately has nothing to do with emacs,
it might help if tramp handled it in a way that made it easier for
the user to put this message into perspective. (Yet as I do not know
what the message means, I do not no either whether such a thing was
feasible for tramp.)

In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-08-03 on tfkp07

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_GB.utf8
  value of $LANG: en_US.ISO-8859-15
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-9-unix
  default-enable-multibyte-characters: t